#ifndef __gxframework_window_h__
	#define __gxframework_window_h__

#include "nativewindow.h"

namespace Gx
{
	class Game;

	/*
	 *	Okno, które podczepia pod siebie myszkę oraz klawiaturę.
	 *	Po tym oknie będziemy dziedziczyć. Ukrywamy też niskopoziomowe okno.
	 */
	class GXFRAMEWORK_DECLSPEC Window : public Win32::NativeWindow
	{
	public:
		Window();
		virtual ~Window();

		virtual bool handleMessage(UINT msg, WPARAM wparam, LPARAM lparam);

		void setGame(Game* game) {
			m_game = game;
		}

		Game* getGame() {
			return m_game;
		}

	private:
		Game*	m_game;
	};
}

#endif // ~__gxframework_window_h__
